package com.hzya.frame.plugin.lets.u8cdto;

import lombok.Data;
import java.util.List;

/**
 * 存货基本档案，推送实体类
 */
@Data
public class InvBasDocVO {
    private Parent parentvo;
    private List<Children> childrenvo;

    @Data
    public static class Parent {
        private String asset;//设备卡片管理
        private String assistunit;//辅计量管理
        private String autobalancemeas;//自动平衡主辅计量
        private String creator;//创建人
        private String def1;//自定义项1
        private String def10;//自定义项10
        private String def11;//自定义项11
        private String def12;//自定义项12
        private String def13;//自定义项13
        private String def14;//自定义项14
        private String def15;//自定义项15
        private String def16;//自定义项16
        private String def17;//自定义项17
        private String def18;//自定义项18
        private String def19;//自定义项19
        private String def2;//自定义项2
        private String def20;//自定义项20
        private String def3;//自定义项3
        private String def4;//自定义项4
        private String def5;//自定义项5
        private String def6;//自定义项6
        private String def7;//自定义项7
        private String def8;//自定义项8
        private String def9;//自定义项9
        private String discountflag;//价格折扣
        private String faset;//固定资产管理
        private String forinvname;//外文名称
        private String free1;//自由项1
        private String free2;//自由项2
        private String free3;//自由项3
        private String free4;//自由项4
        private String free5;//自由项5
        private String graphid;//图号
        private String height;//高度
        private String invbarcode;//条形码
        private String invcode;//存货编码
        private String invmnecode;//助记码
        private String invname;//存货名称
        private String invpinpai;//品牌
        private String invshortname;//存货简称
        private String invspec;//规格
        private String invtype;//型号
        private String iselectrans;//电子采购
        private String ismngstockbygrswt;//按毛重管理库存
        private String isretail;//零售
        private String isstorebyconvert;//按换算率记结存
        private String laborflag;//应税劳务
        private String length;//长度
        private String memo;//备注
        private String modifier;//修改人（不传默认 openapi）
        private String pk_invbasdoc;//存货档案主键pk（修改接口必填）
        private String pk_invcl;//存货分类
        private String pk_measdoc;//主计量单位
        private String pk_measdoc1;//销售默认单位
        private String pk_measdoc2;//采购默认单位
        private String pk_measdoc3;//库存默认单位
        private String pk_measdoc5;//生产默认单位
        private String pk_measdoc6;//零售计量单位
        private String pk_prodline;//产品线
        private String pk_taxitems;//税目
        private String setpartsflag;//成套件
        private String shipunitnum;//多少标准运输单位
        private String storeunitnum;//多少标准存储单位
        private String unitvolume;//单位体积0
        private String unitweight;//单位重量0
        private String weitunitnum;//多少标准重量单位
        private String width;//宽度
    }

    @Data
    public static class Children {
        private String fixedflag;//是否固定换算
        private String mainmeasrate ;//与主计量单位换算系数
        private String pk_measdoc;//计量单位
        private String pk_measdoc_sub;//拆解单位名称
        private String showorder;//辅计量拆解显示顺序号
    }
}
