package com.hzya.frame.report.lets.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.report.lets.entity.TocofsSaleoutEntity;
import com.hzya.frame.web.entity.JsonResultEntity;

/**
 * root(TocofsSaleout)表服务接口
 *
 * @author makejava
 * @since 2024-08-01 17:01:32
 */
public interface ITocofsSaleoutService extends IBaseService<TocofsSaleoutEntity, String> {
    /**
     * 查询TOC、TOB销售正向流程报表数据
     *
     * @author liuyang
     */
    JsonResultEntity queryToCSalesReport(JSONObject jsonObject) throws Exception;

    /**
     * 查询TOC、TOB退货反向流程报表数据
     *
     * @author liuyang
     */
    JsonResultEntity queryToCReturnReport(JSONObject jsonObject) throws Exception;
}
