package com.hzya.frame.ttxofs.dto.ofsBaseSearch;

import com.hzya.frame.ttxofs.basics.ReturnMessageBasics;
import lombok.Data;

import java.util.List;

/**
 * OFS SKU查询返回
 */
@Data
public class OFSSKUSearchResponse extends ReturnMessageBasics {
    private List<OFSSKU> data;

    @Data
    public static class OFSSKU{
        private String id;
        private String clientCode;
        private String companyCode;
        private String code;
        private String name;
        private String cInvCCode;
        private String listPrice;
        private String netPrice;
        private String msrPrice;
        private String buyPrice;
        private String status;
        private String created;
        private String createdBy;
        private String lastUpdated;
        private String lastUpdatedBy;
        private String trackSN;
        private String brandCode;
        private String fulfillFacilityCode;
        private String shelfLife;
        private String acceptancePeriod;
        private String daysOfSale;
        private String shortName;
        private String StringDesc;
        private String englishName;
        private String spuCode;
        private String color;
        private String size;
        private String style;
        private String daysToExpire;
        private String daysBeforeExpire;
        private String skuClass;
        private String remark;
        private String countryOfOrigin;
        private String addressOfOrigin;
        private String manufacturer;
        private String hsCode;
        private String bonded;
        private String postalTaxRate;
        private String packType;
        private String arrivalCycle;
        private String procurementCycle;
        private String outsourcedGoods;
        private String registerCode;
        private String msrPriceUs;
        private String auditStatus;
        private String productionLicense;
    }
}
